Managed Instance Operations - List By Managed Instance

Hiermee haalt u een lijst op met bewerkingen die worden uitgevoerd op het beheerde exemplaar.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/operations?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ManagedInstanceOperationListResult

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

List the managed instance management operations

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations?api-version=2025-01-01

Voorbeeldrespons

{
  "value": [
    {
      "name": "11111111-1111-1111-1111-111111111111",
      "type": "Microsoft.Sql/managedInstances/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/11111111-1111-1111-1111-111111111111",
      "properties": {
        "isCancellable": false,
        "managedInstanceName": "sqlcrudtest-4645",
        "operation": "UpsertManagedServer",
        "operationFriendlyName": "UPDATE MANAGED SERVER",
        "percentComplete": 100,
        "startTime": "2019-12-06T11:08:44.49Z",
        "state": "Cancelled"
      }
    },
    {
      "name": "22222222-2222-2222-2222-222222222222",
      "type": "Microsoft.Sql/managedInstances/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/22222222-2222-2222-2222-222222222222",
      "properties": {
        "isCancellable": true,
        "managedInstanceName": "sqlcrudtest-4645",
        "operation": "UpsertManagedServer",
        "operationFriendlyName": "UPDATE MANAGED SERVER",
        "operationParameters": {
          "currentParameters": {
            "family": "Gen4",
            "storageSizeInGB": 32,
            "tier": "GeneralPurpose",
            "vCores": 8
          },
          "requestedParameters": {
            "family": "Gen4",
            "storageSizeInGB": 128,
            "tier": "BusinessCritical",
            "vCores": 8
          }
        },
        "operationSteps": {
          "currentStep": 3,
          "stepsList": [
            {
              "name": "Request validation",
              "order": 1,
              "status": "Completed",
              "stepEndTime": "2019-12-06T11:08:45.57Z",
              "stepStartTime": "2019-12-06T11:08:44.49Z",
              "timeElapsed": "0"
            },
            {
              "name": "Virtual Cluster resize/creation",
              "order": 2,
              "status": "Completed",
              "stepEndTime": "2019-12-06T11:22:47.35Z",
              "stepStartTime": "2019-12-06T11:08:46.15Z",
              "timeElapsed": "14"
            },
            {
              "name": "New SQL Instance Startup",
              "order": 3,
              "status": "InProgress",
              "stepEndTime": "2019-12-06T11:24:50.51Z",
              "stepStartTime": "2019-12-06T11:22:47.42Z",
              "timeElapsed": "2"
            }
          ],
          "totalSteps": "3"
        },
        "percentComplete": 50,
        "startTime": "2019-12-06T11:08:44.49Z",
        "state": "InProgress"
      }
    },
    {
      "name": "33333333-3333-3333-3333-333333333333",
      "type": "Microsoft.Sql/managedInstances/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/33333333-3333-3333-3333-333333333333",
      "properties": {
        "errorCode": 45157,
        "errorDescription": "Server 'sqlcrudtest-4645' is busy with another operation. Please try your operation later.",
        "errorSeverity": 16,
        "isCancellable": false,
        "isUserError": true,
        "managedInstanceName": "sqlcrudtest-4645",
        "operation": "UpsertManagedServer",
        "operationFriendlyName": "UPDATE MANAGED SERVER",
        "percentComplete": 100,
        "startTime": "2019-12-06T14:48:34.583Z",
        "state": "Failed"
      }
    },
    {
      "name": "44444444-4444-4444-4444-444444444444",
      "type": "Microsoft.Sql/managedInstances/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/44444444-4444-4444-4444-444444444444",
      "properties": {
        "managedInstanceName": "sqlcrudtest-4645",
        "operation": "MakeAllManagedDatabasesAccessible",
        "operationFriendlyName": "MAKE ALL MANAGED DBS ACCESSIBLE",
        "operationSteps": {
          "currentStep": 1,
          "stepsList": [
            {
              "name": "Request validation",
              "order": 1,
              "status": "Failed",
              "stepEndTime": "2019-12-04T09:01:00.57Z",
              "stepStartTime": "2019-12-04T09:00:30.15Z",
              "timeElapsed": "0"
            }
          ],
          "totalSteps": "1"
        },
        "percentComplete": 100,
        "startTime": "2019-12-04T09:00:08.1Z",
        "state": "Failed"
      }
    }
  ]
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ManagedInstanceOperation

Een bewerking van een beheerd exemplaar.

ManagedInstanceOperationListResult

De reactie van een ManagedInstanceOperation lijstoperatie.

ManagedInstanceOperationParametersPair

De parameters van een beheerde exemplaarbewerking.

ManagedInstanceOperationSteps

De stappen van een bewerking van een beheerd exemplaar.

ManagementOperationState

De bewerkingsstatus.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

UpsertManagedServerOperationParameters
UpsertManagedServerOperationStepWithEstimatesAndDuration
UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ManagedInstanceOperation

Een bewerking van een beheerd exemplaar.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.description

string

De beschrijving van de operatie.

properties.errorCode

integer (int32)

De foutcode van de bewerking.

properties.errorDescription

string

De beschrijving van de bewerkingsfout.

properties.errorSeverity

integer (int32)

De ernst van de bewerkingsfout.

properties.estimatedCompletionTime

string (date-time)

De geschatte voltooiingstijd van de bewerking.

properties.isCancellable

boolean

Of de bewerking kan worden geannuleerd.

properties.isUserError

boolean

Of de fout al dan niet een gebruikersfout is.

properties.managedInstanceName

string

De naam van het beheerde exemplaar waarop de bewerking wordt uitgevoerd.

properties.operation

string

De naam van de bewerking.

properties.operationFriendlyName

string

De beschrijvende naam van de bewerking.

properties.operationParameters

ManagedInstanceOperationParametersPair

De bewerkingsparameters.

properties.operationSteps

ManagedInstanceOperationSteps

De bewerkingsstappen.

properties.percentComplete

integer (int32)

Het percentage voltooide bewerking.

properties.startTime

string (date-time)

De begintijd van de bewerking.

properties.state

ManagementOperationState

De bewerkingsstatus.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

ManagedInstanceOperationListResult

De reactie van een ManagedInstanceOperation lijstoperatie.

Name Type Description
nextLink

string (uri)

De koppeling naar de volgende pagina met items

value

ManagedInstanceOperation[]

De ManagedInstanceOperation-items op deze pagina

ManagedInstanceOperationParametersPair

De parameters van een beheerde exemplaarbewerking.

Name Type Description
currentParameters

UpsertManagedServerOperationParameters

De huidige parameters.

requestedParameters

UpsertManagedServerOperationParameters

De aangevraagde parameters.

ManagedInstanceOperationSteps

De stappen van een bewerking van een beheerd exemplaar.

Name Type Description
currentStep

integer (int32)

Het aantal huidige bewerkingsstappen.

stepsList

UpsertManagedServerOperationStepWithEstimatesAndDuration[]

De lijst met bewerkingsstappen.

totalSteps

string

Het totale aantal bewerkingsstappen.

ManagementOperationState

De bewerkingsstatus.

Waarde Description
Pending

In afwachting

InProgress

In uitvoering

Succeeded

Geslaagd

Failed

Mislukt

CancelInProgress

CancelInProgress

Cancelled

Geannuleerd

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

UpsertManagedServerOperationParameters

Name Type Description
family

string

storageSizeInGB

integer (int32)

tier

string

vCores

integer (int32)

UpsertManagedServerOperationStepWithEstimatesAndDuration

Name Type Description
name

string

order

integer (int32)

status

UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

stepEndTime

string (date-time)

stepStartTime

string (date-time)

timeElapsed

string

UpsertManagedServerOperationStepWithEstimatesAndDurationStatus

Waarde Description
NotStarted

Niet gestart

InProgress

In uitvoering

SlowedDown

LangzamerAfgezet

Completed

Volbracht

Failed

Mislukt

Canceled

Geannuleerd